Index: LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90	(revision 3792)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/VARxSV.F90	(revision 3900)
@@ -67,4 +67,6 @@
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   QaT_SV  ! SBL Top   Specific Humidity     
 !$OMP THREADPRIVATE(QaT_SV)
+      REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   QsT_SV  ! SBL Top   Specific Humidity
+!$OMP THREADPRIVATE(QsT_SV)
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   dQa_SV  ! SBL Flux  Limitation of Qa      
 !$OMP THREADPRIVATE(dQa_SV)
@@ -78,6 +80,4 @@
 
                                                               
-      REAL,SAVE                      ::   zSBLSV  ! SBL Height (Initial Value)      
-!$OMP THREADPRIVATE(zSBLSV)
       REAL,SAVE                      ::   dt__SV  ! Time Step                       
 !$OMP THREADPRIVATE(dt__SV)
@@ -160,4 +160,6 @@
       REAL,ALLOCATABLE,SAVE    ::   agsnSV(:,:)  ! Snow Age                        
 !$OMP THREADPRIVATE(agsnSV)
+      REAL,ALLOCATABLE,SAVE    ::   DOPsnSV(:,:)  ! Snow optical diameter [m]
+!$OMP THREADPRIVATE(DOPsnSV)
       REAL, DIMENSION(:),ALLOCATABLE,SAVE    ::   BufsSV  ! Snow Buffer Layer               
 !$OMP THREADPRIVATE(BufsSV)
@@ -260,5 +262,6 @@
       ALLOCATE(dLdTSV(klonv))  ! Latent   Heat Flux T Derivat.   
       ALLOCATE(rhT_SV(klonv))  ! SBL Top   Air  Density          
-      ALLOCATE(QaT_SV(klonv))  ! SBL Top   Specific Humidity     
+      ALLOCATE(QaT_SV(klonv))  ! SBL Top   Specific Humidity    
+      ALLOCATE(QsT_SV(klonv))  ! surface   Specific Humidity 
       ALLOCATE(dQa_SV(klonv))  ! SBL Flux  Limitation of Qa      
       ALLOCATE(qsnoSV(klonv))  ! SBL Mean  Snow       Content    
@@ -309,4 +312,5 @@
       ALLOCATE(dzsnSV(klonv,    0:nsno))  ! Snow Layer  Thickness           
       ALLOCATE(agsnSV(klonv,    0:nsno))  ! Snow Age                        
+      ALLOCATE(DOPsnSV(klonv,    0:nsno))  ! Snow Optical diameter                        
       ALLOCATE(BufsSV(klonv))  ! Snow Buffer Layer               
       ALLOCATE(rusnSV(klonv))  ! Surficial   Water               
@@ -339,14 +343,71 @@
 
       DO ikl=1,klonv        
-        LSmask(ikl)   = 0
-        isotSV(ikl)   = 0                
-        iWaFSV(ikl)   = 0 
-        isnoSV(ikl)   = 0  
-        ispiSV(ikl)   = 0
-        iiceSV(ikl)   = 0          
-        istoSV(ikl,:) = 0
-        ii__SV(ikl)   = 0
-        jj__SV(ikl)   = 0
-        nn__SV(ikl)   = 0 
+
+
+      isnoSV(ikl)  =0.        
+      ispiSV(ikl)  =0.   
+      iiceSV(ikl)  =0.        
+      istoSV(ikl,:)=0.                                                                        
+      alb_SV(ikl)  =0.      
+      emi_SV(ikl)  =0.    
+      IRs_SV(ikl)  =0.      
+      LMO_SV(ikl)  =0.
+      us__SV(ikl)  =0.
+      uts_SV(ikl)  =0.
+      cutsSV(ikl)  =0.
+      uqs_SV(ikl)  =0.
+      uss_SV(ikl)  =0.
+      usthSV(ikl)  =0.
+      rCDmSV(ikl)  =0.
+      rCDhSV(ikl)  =0.
+      Z0m_SV(ikl)  =0.
+      Z0mmSV(ikl)  =0.
+      Z0mnSV(ikl)  =0.
+      Z0roSV(ikl)  =0.
+      Z0SaSV(ikl)  =0.
+      Z0e_SV(ikl)  =0.
+      Z0emSV(ikl)  =0.
+      Z0enSV(ikl)  =0.
+      Z0h_SV(ikl)  =0.
+      Z0hmSV(ikl)  =0.
+      Z0hnSV(ikl)  =0.
+                                                                          
+                                                                        
+      TsisSV(ikl,:)  =0.
+      ro__SV(ikl,:)  =0.
+      eta_SV(ikl,:)  =0.
+      G1snSV(ikl,:)  =0.  
+      G2snSV(ikl,:)  =0.          
+      dzsnSV(ikl,:)  =0.      
+      agsnSV(ikl,:)  =0.              
+      DOPsnSV(ikl,:) =0.                  
+      BufsSV(ikl)  =0.         
+      rusnSV(ikl)  =0.     
+      SWf_SV(ikl)  =0.        
+      SWS_SV(ikl)  =0.
+      HFraSV(ikl)  =0.       
+                                                                            
+      zWE_SV(ikl)  =0.
+      zWEcSV(ikl)  =0.
+      wem_SV(ikl)  =0.
+      wer_SV(ikl)  =0.
+      wes_SV(ikl)  =0.
+      zn4_SV(ikl)  =0.
+      zn5_SV(ikl)  =0.                                                        
+                                       
+                                                                                                                                                          
+      ii__SV(ikl)  =0. 
+      jj__SV(ikl)  =0.
+      nn__SV(ikl)  =0.
+                                                                               
+      IRu_SV(ikl)  =0. 
+      hSalSV(ikl)  =0.     
+      qSalSV(ikl)  =0.
+      RnofSV(ikl)  =0.    
+      RuofSV(ikl,:)  =0.
+
+
+
+
       END DO
   END SUBROUTINE INIT_VARxSV
